# List accounts

> Accounts that earn fees, by dollars earned, dollars paid or number of coins.


`GET https://payday.direct/api/v1/accounts`

Accounts that earn fees, by dollars earned, dollars paid or number of coins.

## Parameters

- `limit` (query, integer)
- `cursor` (query, string): next_cursor from the previous page
- `sort` (query, "earned" | "paid" | "coins")

## Responses

- 200: OK
- 401: Missing or invalid key
- 429: Over the limit. Retry-After says when to try again.

```json
{
  "data": [
    {
      "handle": "examplehandle",
      "rail": "xmoney",
      "coins": 3,
      "fees": {
        "earned_usd": "1520.40",
        "earned_sol": "6.48",
        "paid_usd": "1240.50",
        "on_the_way_usd": "120.00",
        "bonus_usd": "0.00"
      },
      "payouts": 9,
      "next_batch": {
        "progress_usd": "64.10",
        "threshold_usd": "120.00"
      },
      "last_paid_at": "2026-11-15T18:22:41.000Z"
    }
  ],
  "next_cursor": null,
  "total": 1,
  "meta": {
    "updated_at": "2026-11-15T20:03:20.991Z",
    "api_version": "v1"
  }
}
```

## Example

```bash
curl "https://payday.direct/api/v1/accounts" \
  -H "Authorization: Bearer pd_YOUR_KEY"
```